#ifndef _UART_H_
#define _UART_H_

#include <avr/io.h>
#include <avr/pgmspace.h>

extern void uart_init();
extern int uart_putc(const uint8_t);
extern void uart_puts(const char *s);

static inline void uart_flush()
{
    while (UCSRB & (1 << UDRIE));
}

void uart_puts_P(PGM_P s);
const char *itoh(uint32_t x);

#define CR "\r\n"

#endif                          /* _UART_H_ */
